Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert.ext
Class SubjectKeyIDExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.cert.ext.SubjectKeyIDExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class SubjectKeyIDExtension
extends X509Extension

Represents the certificate extension Subject Key Identifier from RFC 2459. This extension MUST NOT be critical.

The key ID bytes should be obtained from the subject public key using one of the following two methods (or using some other method that produces unique IDs):

1. The SHA-1 hash of the bit-string value of the subjectPublicKey (excluding the tag, length, and number of unused bits).
2. A four bit type field with the value 0100 followed by the least significant 60 bits of the SHA-1 hash of the bit-string value of the subjectPublicKey.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`SubjectKeyIDExtension()` Create a new extension with the appropriate OID type.
`SubjectKeyIDExtension(byte[] keyID)` Creates a new extension with the specified subject key identifier.
`SubjectKeyIDExtension(byte[] keyID, boolean critical)` Creates a new extension with the specified subject key identifier.
`SubjectKeyIDExtension(java.io.InputStream is)`

Method Summary
`byte[]` | `getSubjectKeyID()` Gets the subject key ID for this extension.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubjectKeyIDExtension

    public SubjectKeyIDExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### SubjectKeyIDExtension

    public SubjectKeyIDExtension(byte[] keyID)

  Creates a new extension with the specified subject key identifier. Extension is non-critical.
Parameters:
  `keyID` - A `byte[]` containing the subject key identifier.

### SubjectKeyIDExtension

    public SubjectKeyIDExtension(byte[] keyID,
                                 boolean critical)

  Creates a new extension with the specified subject key identifier.
Parameters:
  `keyID` - A `byte[]` containing the subject key identifier.
  `critical` - `true` if this extension is critical, `false` otherwise.

### SubjectKeyIDExtension

    public SubjectKeyIDExtension(java.io.InputStream is)
                          throws java.io.IOException

Method Detail

### getSubjectKeyID

    public byte[] getSubjectKeyID()

  Gets the subject key ID for this extension.

### toString

    public java.lang.String toString()

  Description copied from class: `X509Extension`
  Returns a string representation of this object.
  Overrides:
    `toString` in class `X509Extension`
  Returns:
    a string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.